/* GIVE STYLE TO THIS PAGE! */

@media screen and (max-width: 1023px){
    /* GLOBAL VARS */
    body {
        margin: 0;
        background-color: dimgrey; 
        font-family: helvetica, arial, sans-serif;
    }

    a {
        text-decoration: none;
        font-weight: bold;
    }

    img, video {background-color: none;}

    h1, h2, h3 {margin-top: 0;}
    
    h1 {font-size: 2em;}

    h2 {font-size: 1.75em;}

    h3 {font-size: 1.5em;}

    b, i, p, a, input {font-size: 1em;}
    
    /* LAYOUT VARS */
    #header, #brand, #navigation, #intro, #minibio, #settings, #copyright, #footer {
        display: flex;
        overflow: hidden;
    }

    #header {
        position: sticky; 
        top: 0; 
        z-index: 1;
    }

    #header, #footer {
        justify-content: space-evenly;
        flex-wrap: wrap;
        flex-direction: row;
        background-color: black;
    }

    #brand, #navigation, #settings, #copyright {
        padding: 0.33vw;
        align-items: center;
    }

    #brand {
        width: 100%;
        padding: 1vw;
        justify-content: center;
    }

    #navigation {
        width: 100%;
        justify-content: center;
        flex-wrap: wrap;
        flex-direction: row;
    }

    #intro {
        background-color: grey;
        color: #100E09;
        flex-direction: column;
    }

    #minibio {
        background-color: dimgrey;
        color: white;
        flex-direction: column;
        padding-left: 4vw;
        padding-right: 4vw;
        display: block;
    }

    #action {
        padding: 1vw;
        margin-bottom: 10vw;
        text-align: center;
        width: auto;
    }

    #settings {
        width: 100%;
        justify-content: center;
        flex-wrap: wrap;
        flex-direction: row;
    }

    #copyright {
        width: 100%;
        justify-content: center;
    }

    #footer {color: white;}
    
    /* MEDIA VARS */
    #header img, #intro img {
        width: 100%;
        height: 100%;
    }

    /* LINK VARS */
    .button, .donatebutton {
        padding: 1vw;
        margin: 1vw;
    }

    .buttonless {
        padding: 0.25vw;
        margin-top: 2vw;
        margin-bottom: 2vw;
    }

    #header .button, #footer .button{
        background-color: #161616;
        color: grey;
    }

    #header .button:hover, #footer .button:hover{
        background-color: white;
        color: black;
    }

    #header .donatebutton {
        background-color: dimgrey;
        color: black;
    }

    #header .donatebutton:hover {
        background-color: grey;
        color: white;
    }

    #action .button {
        background-color: white;
        color: black;
    }

    #action .button:hover {
        background-color: black;
        color: white;
    }

    #minibio .buttonless {color: black;}

    #minibio .buttonless:hover {
        color: white; 
        text-decoration: underline;
    }
}

@media screen and (min-width: 1024px) {
    /* GLOBAL VARS */
    body {
        margin: 0;
        background-color: dimgrey; 
        font-family: helvetica, arial, sans-serif;
    }

    a {
        text-decoration: none;
        font-weight: bold;
    }

    img, video {background-color: none;}

    h1, h2, h3 {margin-top: 0;}
    
    h1 {font-size: 5vw;}

    h2 {font-size: 4vw;}

    h3 {font-size: 3vw;}

    b, i, p, a, input {font-size: 1.50vw;}
    
    /* LAYOUT VARS */
    #header, #brand, #navigation, #intro, #minibio, #settings, #copyright, #footer {
        display: flex;
        overflow: hidden;
    }

    #header {
        position: sticky; 
        top: 0; 
        z-index: 1;
    }

    #header, #footer {
        justify-content: space-evenly;
        flex-wrap: wrap;
        flex-direction: row;
        background-color: black;
    }

    #brand, #navigation, #intro, #action, #minibio, #settings, #copyright {
        padding: 0.33vw;
        align-items: center;
    }

    #brand {width: 45%;}

    .mobileonly {display: none;}

    #navigation {
        width: 45%;
        justify-content: flex-end;
        flex-wrap: wrap;
        flex-direction: row;
    }

    #intro, #featuredprojects {
        background-color: grey;
        color: black;
        flex-direction: row;
    }

    #action {
        width: 65%;
        padding-left: 2vw;
        padding-right: 2vw;
    }

    #photo {
        width: 35%;
    }

    #minibio {
        background-color: dimgrey;
        color: white;
        flex-direction: column;
        padding-left: 4vw;
        padding-right: 4vw;
    }

    #featuredprojects {
        background-color: green;
        color: white;
        padding: 1vw;
    }

    #game, #video {
        background-color: grey;
        color: white;
        flex-direction: column;
    }

    #settings {
        width: 65%;
        flex-wrap: wrap;
        flex-direction: row;
    }

    #copyright {
        width: 25%;
        justify-content: flex-end;
    }

    #footer {color: white;}
    
    /* MEDIA VARS */
    #header img{
        width: 16vw;
        height: 3vw;
    }

    #photo img {
        width: auto;
        height: 32vw;
    }

    /* LINK VARS */
    .button, .donatebutton {
        padding: 0.25vw;
        margin: 0.25vw;
    }

    .buttonless {
        padding: 0.25vw;
        margin-top: 2vw;
        margin-bottom: 2vw;
    }

    #header .button, #footer .button{
        background-color: #161616;
        color: grey;
    }

    #header .button:hover, #footer .button:hover{
        background-color: white;
        color: black;
    }

    #header .donatebutton {
        background-color: dimgrey;
        color: black;
    }

    #header .donatebutton:hover {
        background-color: grey;
        color: white;
    }

    #action .button {
        background-color: white;
        color: black;
    }

    #action .button:hover {
        background-color: black;
        color: white;
    }

    #minibio .buttonless {color: black;}

    #minibio .buttonless:hover {
        color: white; 
        text-decoration: underline;
    }
}
